# HG changeset patch
# User Pantxo Diribarne <pantxo.diribarne@gmail.com>
# Date 1487333389 -3600
#      Fri Feb 17 13:09:49 2017 +0100
# Node ID bc81ef4c6d895cf6e3867807ed54e63672f9251f
# Parent  d4d51f454154472bbfa71b1d69215e18452c9382
genpropdoc.m: document more graphics properties (bug #50337)


diff -r d4d51f454154 -r bc81ef4c6d89 doc/interpreter/genpropdoc.m
--- a/doc/interpreter/genpropdoc.m	Tue Oct 11 15:20:35 2016 +0200
+++ b/doc/interpreter/genpropdoc.m	Fri Feb 17 13:09:49 2017 +0100
@@ -289,6 +289,8 @@
         s.doc = sprintf (doc_notimpl, "Transparency");
 
       case "closerequestfcn"
+        s.doc = "Function that is executed when a figure is deleted.  \
+@xref{XREFclosereq, , closereq function}."
         s.valid = valid_fcn;
 
       case "color"
@@ -364,8 +366,8 @@
         s.valid = valid_fcn;
 
       case "menubar"
-        s.doc = "Control the display of the figure menu bar in the upper \
-left of the figure.";
+        s.doc = "Control the display of the figure menu bar at the top \
+of the figure.";
 
       case "name"
         s.doc = "Name to be displayed in the figure title bar.  The name is \
@@ -378,12 +380,20 @@
       #  s.doc = "Number of current figure (RO).";
 
       case "nextplot"
+        s.doc = "__prop__ is used by high level plotting functions to \
+decide what to do with axes already present in the figure.  \
+@xref{XREFnewplot, , @w{newplot function}}.";
 
       case "numbertitle"
         s.doc = "Display \"Figure\" followed by the numerical figure handle \
 value in the figure title bar.";
 
       case "outerposition"
+        s.doc = "Specify the position and size of the figure including \
+the top menubar and the bottom status bar.  \
+The four elements of the vector are the coordinates of the lower left corner \
+and width and height of the figure.  \
+@xref{XREFfigureunits, , @w{units property}}.";
         s.valid = valid_4elvec;
 
       case "paperorientation"
@@ -440,14 +450,17 @@
         s.doc = doc_unused;
 
       case "position"
-        s.doc = "Specify the position and size of the figure.  \
+        s.doc = "Specify the position and size of the figure canvas.  \
 The four elements of the vector are the coordinates of the lower left corner \
 and width and height of the figure.  \
 @xref{XREFfigureunits, , @w{units property}}.";
         s.valid = valid_4elvec;
 
       case "renderer"
+        s.doc = doc_unused;
+        
       case "renderermode"
+        s.doc = doc_unused;
 
       case "resize"
         s.doc = doc_unused;
@@ -464,9 +477,8 @@
         s.valid = valid_fcn;
 
       case "toolbar"
-        s.doc = "Control the display of the toolbar along the bottom of the \
-figure window.  When set to @qcode{\"auto\"}, the display is based on the \
-value of the @code{menubar} property.";
+        s.doc = "Control the display of the toolbar (along the bottom of the \
+menubar) and the status bar.  When set to @qcode{\"auto\"}, the display is based on the value of the @code{menubar} property.";
 
       case "units"
         s.doc = "The unit used to compute the @code{position} and \
@@ -491,9 +503,13 @@
         s.valid = valid_fcn;
 
       case "windowkeypressfcn"
+        s.doc = "Function that is executed when a key is pressed and \
+the figure has focus.";
         s.valid = valid_fcn;
 
       case "windowkeyreleasefcn"
+        s.doc = "Function that is executed when a key is released and \
+the figure has focus.";
         s.valid = valid_fcn;
 
       case "windowscrollwheelfcn"
@@ -523,18 +539,24 @@
 
       ## Specific properties
       case "activepositionproperty"
+        s.doc = "Specify which of @qcode{\"position\"} or \
+@qcode{\"outerposition\"} properties takes precedence when axes \
+annotations extent changes.  @xref{XREFaxesposition, , @w{position property}}, \
+and @ref{XREFaxesposition, , @w{outerposition property}}.";
+
       case "alim"
         s.doc = sprintf (doc_notimpl, "Transparency");
 
       case "alimmode"
       case "ambientlightcolor"
-        s.doc = sprintf (doc_notimpl, "Light");
+        s.doc = doc_unused;
 
       case "box"
         s.doc = "Control whether the axes has a surrounding box.";
 
       case "boxstyle"
-        s.doc = doc_unused;
+        s.doc = "For 3D axes, control wether the @qcode{\"full\"} \
+box is drawn or only the 3 @qcode{\"back\"} axes";
 
       case "cameraposition"
         s.valid = valid_3elvec;
@@ -589,11 +611,13 @@
         s.doc = "Specify the relative height and width of the data \
 displayed in the axes.  Setting @code{dataaspectratio} to \
 @w{@code{[1, 2]}} causes the length of one unit as displayed on the x-axis \
-to be the same as the length of 2 units on the y-axis.  __modemsg__.";
+to be the same as the length of 2 units on the y-axis.  \
+@xref{XREFdaspect, , daspect function}.  __modemsg__.";
         s.valid = valid_3elvec;
 
       case "dataaspectratiomode"
       case "fontangle"
+        s.doc = "Control whether the font is italic or normal.";
       case "fontname"
         s.doc = "Name of the font used for axes annotations.";
         s.valid = valid_string;
@@ -610,7 +634,7 @@
         s.doc = doc_unused;
 
       case "fontweight"
-
+        s.doc = "Control variant of base font used: bold, light, normal, etc.";
       case "gridalpha"
         s.doc = sprintf (doc_notimpl, "Transparency");
 
@@ -626,7 +650,8 @@
       case "gridlinestyle"
 
       case "labelfontsizemultiplier"
-        s.doc = doc_unused;
+        s.doc = "Ratio between the x/y/zlabel fontsize and the tick \
+labels fontsize";
 
       case "layer"
         s.doc = "Control whether the axes is drawn below child graphics \
@@ -639,6 +664,7 @@
         s.doc = doc_unused;
 
       case "linewidth"
+        s.doc = "Width of the main axes lines";
 
       case "minorgridalpha"
         s.doc = sprintf (doc_notimpl, "Transparency");
@@ -658,6 +684,12 @@
         s.valid = "scalar in the range (0, 1)";
 
       case "nextplot"
+        s.doc = "__prop__ is used by high level plotting functions to \
+decide what to do with graphics objects already present in the axes.  \
+@xref{XREFnewplot, , @w{newplot function}}.  The state of __prop__ \
+is typically controlled using the @code{hold} function.  \
+@xref{XREFhold, , @w{hold function}}.";
+        
       case "outerposition"
         s.doc = "Specify the position of the plot including titles, \
 axes, and legend.  The four elements of the vector are the \
@@ -673,6 +705,9 @@
         s.doc = doc_unused;
 
       case "plotboxaspectratio"
+        s.doc = "@xref{XREFpbaspect, , pbaspect function}.  \
+__modemsg__.";
+        
       case "plotboxaspectratiomode"
       case "position"
         s.doc = "Specify the position of the plot excluding titles, \
@@ -693,7 +728,7 @@
 
       case "tickdir"
         s.doc = "Control whether axes tick marks project \"in\" to the plot \
-box or \"out\".";
+box or \"out\".  __modemsg__.";
 
       case "tickdirmode"
 
@@ -707,31 +742,45 @@
         s.valid = valid_2elvec;
 
       case "tightinset"
+        s.doc = "Size of the @code{[left bottom right top]} margins \
+around the axes that enclose labels and title annotations.";
+        s.valid = valid_4elvec;
+        
       case "title"
         s.doc = "Graphics handle of the title text object.";
         s.valid = valid_handle;
 
       case "titlefontsizemultiplier"
-        s.doc = doc_unused;
+        s.doc = "Ratio between the title fontsize and the tick \
+labels fontsize";
+        s.valid = "positive scalar";
 
       case "titlefontweight"
-        s.doc = doc_unused;
+        s.doc = "Control variant of base font used for the axes title.";
 
       case "units"
+        s.doc = "Units used to interpret the @qcode{\"position\"}, \
+@qcode{\"outerposition\"} and @qcode{\"tightinset\"} properties."; 
+
       case "view"
         s.doc = "Two-element vector @code{[azimuth elevation]} specifying \
 the viewpoint for three-dimensional plots";
         s.valid = valid_2elvec;
 
       case "xaxislocation"
+        s.doc = "Control the x axis location.";
+        
       case "xcolor"
-        s.doc = "Color of the x-axis.  @xref{Colors, , colorspec}.";
+        s.doc = "Color of the x-axis.  @xref{Colors, , colorspec}.  \
+__modemsg__.";
         s.valid = packopt ({markdef(valid_color), "@qcode{\"none\"}"});
 
       case "xcolormode"
-        s.doc = doc_unused;
 
       case "xdir"
+        s.doc = "Direction of the x axis: @qcode{\"normal\"} is left \
+to right.";
+        
       case "xgrid"
         s.doc = "Control whether major x grid lines are displayed.";
 
@@ -741,7 +790,7 @@
 
       case "xlim"
         s.doc = "Two-element vector @code{[xmin xmax]} specifying the limits \
-for the x-axis.  __modemsg__.  @xref{XREFxlim, , @w{xlim function}}.";
+for the x-axis.  __modemsg__.   @xref{XREFxlim, , @w{xlim function}}.";
         s.valid = valid_2elvec;
 
       case "xlimmode"
@@ -749,7 +798,7 @@
         s.doc = "Control whether minor x grid lines are displayed.";
 
       case "xminortick"
-      case "xscale"
+      case "xscale"        
       case "xtick"
         s.doc = "Position of x tick marks.  __modemsg__.";
         s.valid = "vector";
@@ -765,14 +814,18 @@
 
       case "xtickmode"
       case "yaxislocation"
+        s.doc = "Control the y axis location.";
+        
       case "ycolor"
         s.doc = "Color of the y-axis.  @xref{Colors, , colorspec}.";
         s.valid = packopt ({markdef(valid_color), "@qcode{\"none\"}"});
 
       case "ycolormode"
-        s.doc = doc_unused;
 
       case "ydir"
+        s.doc = "Direction of the y axis: @qcode{\"normal\"} is bottom \
+to top.";
+
       case "ygrid"
         s.doc = "Control whether major y grid lines are displayed.";
 
@@ -810,8 +863,6 @@
         s.valid = packopt ({markdef(valid_color), "@qcode{\"none\"}"});
 
       case "zcolormode"
-        s.doc = doc_unused;
-
       case "zdir"
       case "zgrid"
         s.doc = "Control whether major z grid lines are displayed.";
@@ -946,10 +997,15 @@
         s.valid = valid_color;
 
       case "editing"
+        s.doc = doc_unused;
 
       case "extent"
+        s.doc = "Vector @code{[x0 y0 width height]} indicating the size \
+and location of the text string.";
+        s.valid = valid_4elvec;
+        
       case "fontangle"
-        s.doc = "Flag whether the font is italic or normal.  \
+        s.doc = "Control whether the font is italic or normal.  \
 @code{fontangle} is currently unused.";
 
       case "fontname"