diff --git a/gnu/gnu-users-never-heard-of-gnu.pt-br.po b/gnu/gnu-users-never-heard-of-gnu.pt-br.po
index 1d7ecfe..6f61858 100644
--- a/gnu/gnu-users-never-heard-of-gnu.pt-br.po
+++ b/gnu/gnu-users-never-heard-of-gnu.pt-br.po
@@ -1,21 +1,22 @@
-# Brazilian Portuguese translation of
-# http://www.gnu.org/gnu/gnu-users-never-heard-of-gnu.html
-# Copyright (C) 2014, 2016 Free Software Foundation, Inc.
+# Brazilian Portuguese translation of http://www.gnu.org/gnu/gnu-users-never-heard-of-gnu.html
+# Copyright (C) 2017 Free Software Foundation, Inc.
 # This file is distributed under the same license as the original article.
 # Hudson Flavio Meneses Lacerda <hfmlacerda@yahoo.com.br>, 2014
 # Daniel Pimentel <d4n1@d4n1.org>, 2016
-#
+# Rafael Fontenelle <rafaelff@gnome.org>, 2017.
 msgid ""
 msgstr ""
 "Project-Id-Version: gnu-users-never-heard-of-gnu.html\n"
 "POT-Creation-Date: 2017-03-10 13:26+0000\n"
-"PO-Revision-Date: 2016-09-01 15:00+0100\n"
-"Last-Translator: Daniel Pimentel <d4n1@d4n1.org>\n"
+"PO-Revision-Date: 2017-04-03 16:56-0300\n"
+"Last-Translator: Rafael Fontenelle <rafaelff@gnome.org>\n"
 "Language-Team: Brazilian Portuguese <www-pt-br-general@gnu.org>\n"
 "Language: pt_BR\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
 "Content-Transfer-Encoding: 8bit\n"
+"Plural-Forms: nplurals=2; plural=(n > 1);\n"
+"X-Generator: Virtaal 1.0.0-beta1\n"
 
 #. type: Content of: <title>
 msgid ""
@@ -56,12 +57,12 @@ msgid ""
 "&ldquo;running Linux&rdquo;, which is like saying you are &ldquo;driving "
 "your carburettor&rdquo; or &ldquo;driving your transmission&rdquo;."
 msgstr ""
-"A maioria das pessoas nunca ouviu falar do GNU.  Até mesmo a maioria das "
+"A maioria das pessoas nunca ouviu falar do GNU. Até mesmo a maioria das "
 "pessoas que usam o sistema GNU nunca ouviram falar do GNU, graças a tantas "
-"pessoas e empresas que as ensinam a chamá-lo de &ldquo;Linux&rdquo;. "
-"Todavia, os usuários GNU frequentemente dizem que estão &ldquo;rodando "
-"Linux&rdquo;, que é o mesmo que dizer que você está &ldquo;dirigindo seu "
-"carburador&rdquo; ou &ldquo;dirigindo sua transmissão&rdquo;."
+"pessoas e empresas que as ensinam a chamá-lo de “Linux”. Todavia, os "
+"usuários GNU frequentemente dizem que estão “usando Linux”, que é o mesmo "
+"que dizer que você está “dirigindo seu carburador” ou “dirigindo sua "
+"transmissão”."
 
 #. type: Content of: <p>
 msgid ""
@@ -70,30 +71,12 @@ msgid ""
 "motive for developing GNU was specifically to make it possible to use a "
 "computer and have freedom."
 msgstr ""
-"Logo, aqueles que conhecem sobre GNU associa-o com as ideias de liberdade do "
-"movimento de software livre. Aqueça associação não é um acidente; o motivo "
-"pela qual o desenvolvimento GNU foi especificamente feito para posibilitar o "
-"seu uso em um computador e ter liberdade."
+"Logo, aqueles que sabem sobre o GNU associam-no com as ideias de liberdade "
+"do movimento de software livre. Aquela associação não é um acidente; o "
+"motivo pelo qual o desenvolvimento GNU foi especificamente feito para "
+"possibilitar o seu uso em um computador e ter liberdade."
 
 #. type: Content of: <p>
-# | A person seeing the name &ldquo;GNU&rdquo; for the first time in
-# | &ldquo;GNU/Linux&rdquo; won't immediately know what it represents, {+but+}
-# | has come one step closer to finding out.  The association between the name
-# | GNU and our goals of freedom and social solidarity exists in the minds of
-# | hundreds of thousands of GNU/Linux users that do know about GNU.  It
-# | exists in <a href=\"http://www.gnu.org\">gnu.org</a> and in Wikipedia.  It
-# | exists around the web; if these users search for GNU, they will find the
-# | ideas GNU stands for.
-#, fuzzy
-#| msgid ""
-#| "A person seeing the name &ldquo;GNU&rdquo; for the first time in &ldquo;"
-#| "GNU/Linux&rdquo; won't immediately know what it represents, has come one "
-#| "step closer to finding out.  The association between the name GNU and our "
-#| "goals of freedom and social solidarity exists in the minds of hundreds of "
-#| "thousands of GNU/Linux users that do know about GNU.  It exists in <a "
-#| "href=\"http://www.gnu.org\">gnu.org</a> and in Wikipedia.  It exists "
-#| "around the web; if these users search for GNU, they will find the ideas "
-#| "GNU stands for."
 msgid ""
 "A person seeing the name &ldquo;GNU&rdquo; for the first time in &ldquo;GNU/"
 "Linux&rdquo; won't immediately know what it represents, but has come one "
@@ -103,13 +86,13 @@ msgid ""
 "\"http://www.gnu.org\">gnu.org</a> and in Wikipedia.  It exists around the "
 "web; if these users search for GNU, they will find the ideas GNU stands for."
 msgstr ""
-"Uma pessoa vendo o nome &ldquo;GNU&rdquo; pela primeira vez em &ldquo;GNU/"
-"Linux&rdquo; imediatamente não vai conhecer o que ele representa, chegou a "
-"um passo de descobrir. A associação entre o nome GNU e nossos objetivos de "
-"liberdade e solidariedade social existem na mente de centenas de milhares de "
-"usuários GNU/Linux que conhece o GNU. Isso existe em <a href=\"http://www."
-"gnu.org\">gnu.org</a> e na Wikipedia. Isso existe ao redor da web; se esses "
-"usuários pesquisar por GNU, eles encontrarão as ideias que o GNU defende."
+"Uma pessoa vendo o nome “GNU” pela primeira vez em “GNU/Linux” não vai, de "
+"imediato, conhecer o que ele representa, mas deu um passo à frente de "
+"descobrir. A associação entre o nome GNU e nossos objetivos de liberdade e "
+"solidariedade social existem na mente de centenas de milhares de usuários "
+"GNU/Linux que conhece o GNU. Isso existe em <a href=\"http://www.gnu.org"
+"\">gnu.org</a> e na Wikipédia. Isso existe ao redor da web; se esses "
+"usuários pesquisarem por GNU, eles encontrarão as ideias que o GNU defende."
 
 #. type: Content of: <p>
 msgid ""
@@ -122,15 +105,15 @@ msgid ""
 "(such as that it's the work of a campaign for freedom and community) if they "
 "know they are users of the GNU system."
 msgstr ""
-"Se eles não pesquisarem, eles poderão encontrar de alguma maneira.  A "
-"retórica do <a href=\"/philosophy/open-source-misses-the-point.html\">&ldquo;"
-"código aberto&rdquo;</a> tende a desviar a atenção das pessoas para longe de "
-"questões sobre a liberdade dos usuários, mas não totalmente; ainda existe "
+"Se eles não pesquisarem, eles poderão encontrar de alguma maneira. A "
+"retórica do <a href=\"/philosophy/open-source-misses-the-point.html"
+"\">“código aberto”</a> tende a desviar a atenção das pessoas para longe de "
+"questões sobre a liberdade dos usuários, mas não totalmente; ainda existe a "
 "discussão sobre GNU e software livre, e as pessoas têm alguma chance de "
-"topar com ela. Quando isso acontece, é mais provável que os leitores prestem "
-"atenção a informações sobre o GNU (por exemplo, que ele é resultado de uma "
-"campanha por liberdade e comunidade) se eles sabem que são usuários do "
-"sistema GNU."
+"topar com ela. Quando isso acontece, é muito provável que os leitores "
+"prestem atenção nas informações sobre o GNU (por exemplo, que ele é "
+"resultado de uma campanha por liberdade e comunidade) se eles sabem que são "
+"usuários do sistema GNU."
 
 #. type: Content of: <p>
 msgid ""
@@ -142,15 +125,14 @@ msgid ""
 "&ldquo;GNU/Linux&rdquo;, we are asking you to help in making the public "
 "aware of the free software ideals."
 msgstr ""
-"Ao longo do tempo, chamar o sistema de &ldquo;GNU/Linux&rdquo; dissemina "
-"consciência sobre os ideais de liberdade pelos quais nós desenvolvemos o "
-"sistema GNU. Também é útil como um lembrete para as pessoas de nossa "
-"comunidade que conhecem esses ideais, em um mundo onde grande parte da "
-"discussão sobre software livre tem uma abordagem totalmente prática (e "
-"portanto amoral). Quando pedimos a você que chame o sistema de &ldquo;GNU/"
-"Linux&rdquo;, o fazemos porque a consciência sobre o GNU conduz, lentamente "
-"mas certamente, à consciência sobre os ideais de liberdade e comunidade do "
-"software livre."
+"Ao longo do tempo, chamar o sistema de “GNU/Linux” dissemina a consciência "
+"sobre os ideais de liberdade pelos quais nós desenvolvemos o sistema GNU. "
+"Também é útil como um lembrete para as pessoas de nossa comunidade que "
+"conhecem esses ideais, em um mundo onde grande parte da discussão sobre "
+"software livre tem uma abordagem totalmente prática (e portanto amoral). "
+"Quando pedimos a você que chame o sistema de “GNU/Linux”, o fazemos porque a "
+"consciência sobre o GNU conduz, lentamente mas certamente, à consciência "
+"sobre os ideais de liberdade e comunidade do software livre."
 
 #. TRANSLATORS: Use space (SPC) as msgstr if you don't have notes.
 #. type: Content of: <div>
@@ -199,17 +181,12 @@ msgstr ""
 "envio de traduções das páginas desse site."
 
 #. type: Content of: <div><p>
-# | Copyright &copy; 2006, 2007, 2013, 2014, [-2015-] {+2015, 2017+} Free
-# | Software Foundation, Inc.
-#, fuzzy
-#| msgid ""
-#| "Copyright &copy; 2006, 2007, 2013, 2014, 2015 Free Software Foundation, "
-#| "Inc."
 msgid ""
 "Copyright &copy; 2006, 2007, 2013, 2014, 2015, 2017 Free Software "
 "Foundation, Inc."
 msgstr ""
-"Copyright &copy; 2006, 2007, 2013, 2014, 2015 Free Software Foundation, Inc."
+"Copyright &copy; 2006, 2007, 2013, 2014, 2015, 2017 Free Software "
+"Foundation, Inc."
 
 #. type: Content of: <div><p>
 msgid ""